CREATE TABLE hey_load_attribute_parameter (
    LOAD_ATTRIBUTE_PARAMETER_ID    NUMBER(18, 0) ,
    LOAD_ATTRIBUTE_RULE_ID         NUMBER(18, 0)     NOT NULL,
    RULE_PARAMETER_ID              NUMBER(18, 0)     NOT NULL,
    PARAMETER_TYPE_CODE            VARCHAR2(120)     NOT NULL,
    PARAMETER_CODE                 NUMBER(30, 0)     NOT NULL,
    PARAMETER_VALUE                VARCHAR2(4000),
    SEED_DATA_LOCK                 NUMBER(1, 0)      NOT NULL,
    SEED_DATA_SOURCE               VARCHAR2(2048),
    ATTRIBUTE_CATEGORY             VARCHAR2(600) ,
    ATTRIBUTE1                     VARCHAR2(600) ,
    ATTRIBUTE2                     VARCHAR2(600) ,
    ATTRIBUTE3                     VARCHAR2(600) ,
    ATTRIBUTE4                     VARCHAR2(600) ,
    ATTRIBUTE5                     VARCHAR2(600) ,
    ATTRIBUTE6                     VARCHAR2(600) ,
    ATTRIBUTE7                     VARCHAR2(600) ,
    ATTRIBUTE8                     VARCHAR2(600) ,
    ATTRIBUTE9                     VARCHAR2(600) ,
    ATTRIBUTE10                    VARCHAR2(600) ,
    ATTRIBUTE11                    VARCHAR2(600) ,
    ATTRIBUTE12                    VARCHAR2(600) ,
    ATTRIBUTE13                    VARCHAR2(600) ,
    ATTRIBUTE14                    VARCHAR2(600) ,
    ATTRIBUTE15                    VARCHAR2(600) ,
    ATTRIBUTE16                    VARCHAR2(600) ,
    ATTRIBUTE17                    VARCHAR2(600) ,
    ATTRIBUTE18                    VARCHAR2(600) ,
    ATTRIBUTE19                    VARCHAR2(600) ,
    ATTRIBUTE20                    VARCHAR2(600) ,
    ATTRIBUTE_DATE1                DATE          ,
    ATTRIBUTE_DATE2                DATE          ,
    ATTRIBUTE_DATE3                DATE          ,
    ATTRIBUTE_DATE4                DATE          ,
    ATTRIBUTE_DATE5                DATE          ,
    ATTRIBUTE_DATE6                DATE          ,
    ATTRIBUTE_DATE7                DATE          ,
    ATTRIBUTE_DATE8                DATE          ,
    ATTRIBUTE_DATE9                DATE          ,
    ATTRIBUTE_DATE10               DATE          ,
    ATTRIBUTE_NUMBER1              NUMBER        ,
    ATTRIBUTE_NUMBER2              NUMBER        ,
    ATTRIBUTE_NUMBER3              NUMBER        ,
    ATTRIBUTE_NUMBER4              NUMBER        ,
    ATTRIBUTE_NUMBER5              NUMBER        ,
    ATTRIBUTE_NUMBER6              NUMBER        ,
    ATTRIBUTE_NUMBER7              NUMBER        ,
    ATTRIBUTE_NUMBER8              NUMBER        ,
    ATTRIBUTE_NUMBER9              NUMBER        ,
    ATTRIBUTE_NUMBER10             NUMBER        ,
    ATTRIBUTE_TIMESTAMP1           TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP2           TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP3           TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP4           TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP5           TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP6           TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP7           TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP8           TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP9           TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP10          TIMESTAMP(6)  ,
    CREATION_DATE                  TIMESTAMP(6)      NOT NULL,
    CREATED_BY                     VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN              VARCHAR2(128) ,
    LAST_UPDATED_BY                VARCHAR2(256)     NOT NULL,
    OBJECT_VERSION_NUMBER          NUMBER(9, 0)      NOT NULL,
    ORA_SEED_SET1                  VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                  VARCHAR2(4)       NOT NULL,
    LOAD_ATTRIBUTE_PARAMETER_ID    NUMBER(18, 0) ,
    LOAD_ATTRIBUTE_RULE_ID         NUMBER(18, 0)     NOT NULL,
    RULE_PARAMETER_ID              NUMBER(18, 0)     NOT NULL,
    PARAMETER_TYPE_CODE            VARCHAR2(120)     NOT NULL,
    PARAMETER_CODE                 NUMBER(30, 0)     NOT NULL,
    PARAMETER_VALUE                VARCHAR2(4000),
    SEED_DATA_LOCK                 NUMBER(1, 0)      NOT NULL,
    SEED_DATA_SOURCE               VARCHAR2(2048),
    ATTRIBUTE_CATEGORY             VARCHAR2(600) ,
    ATTRIBUTE1                     VARCHAR2(600) ,
    ATTRIBUTE2                     VARCHAR2(600) ,
    ATTRIBUTE3                     VARCHAR2(600) ,
    ATTRIBUTE4                     VARCHAR2(600) ,
    ATTRIBUTE5                     VARCHAR2(600) ,
    ATTRIBUTE6                     VARCHAR2(600) ,
    ATTRIBUTE7                     VARCHAR2(600) ,
    ATTRIBUTE8                     VARCHAR2(600) ,
    ATTRIBUTE9                     VARCHAR2(600) ,
    ATTRIBUTE10                    VARCHAR2(600) ,
    ATTRIBUTE11                    VARCHAR2(600) ,
    ATTRIBUTE12                    VARCHAR2(600) ,
    ATTRIBUTE13                    VARCHAR2(600) ,
    ATTRIBUTE14                    VARCHAR2(600) ,
    ATTRIBUTE15                    VARCHAR2(600) ,
    ATTRIBUTE16                    VARCHAR2(600) ,
    ATTRIBUTE17                    VARCHAR2(600) ,
    ATTRIBUTE18                    VARCHAR2(600) ,
    ATTRIBUTE19                    VARCHAR2(600) ,
    ATTRIBUTE20                    VARCHAR2(600) ,
    ATTRIBUTE_DATE1                DATE          ,
    ATTRIBUTE_DATE2                DATE          ,
    ATTRIBUTE_DATE3                DATE          ,
    ATTRIBUTE_DATE4                DATE          ,
    ATTRIBUTE_DATE5                DATE          ,
    ATTRIBUTE_DATE6                DATE          ,
    ATTRIBUTE_DATE7                DATE          ,
    ATTRIBUTE_DATE8                DATE          ,
    ATTRIBUTE_DATE9                DATE          ,
    ATTRIBUTE_DATE10               DATE          ,
    ATTRIBUTE_NUMBER1              NUMBER        ,
    ATTRIBUTE_NUMBER2              NUMBER        ,
    ATTRIBUTE_NUMBER3              NUMBER        ,
    ATTRIBUTE_NUMBER4              NUMBER        ,
    ATTRIBUTE_NUMBER5              NUMBER        ,
    ATTRIBUTE_NUMBER6              NUMBER        ,
    ATTRIBUTE_NUMBER7              NUMBER        ,
    ATTRIBUTE_NUMBER8              NUMBER        ,
    ATTRIBUTE_NUMBER9              NUMBER        ,
    ATTRIBUTE_NUMBER10             NUMBER        ,
    ATTRIBUTE_TIMESTAMP1           TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP2           TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP3           TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP4           TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP5           TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP6           TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP7           TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP8           TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP9           TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP10          TIMESTAMP(6)  ,
    CREATION_DATE                  TIMESTAMP(6)      NOT NULL,
    CREATED_BY                     VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN              VARCHAR2(128) ,
    LAST_UPDATED_BY                VARCHAR2(256)     NOT NULL,
    OBJECT_VERSION_NUMBER          NUMBER(9, 0)      NOT NULL,
    ORA_SEED_SET1                  VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                  VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_hey_load_attribute_parameter PRIMARY KEY (LOAD_ATTRIBUTE_PARAMETER_ID, LOAD_ATTRIBUTE_PARAMETER_ID)
);
